Skip to main content
PATCH
/
stores
/
{store_id}
/
events
/
{event_id}
Update Store Event By Id
curl --request PATCH \
  --url https://api-dev.monyfix.tech/stores/{store_id}/events/{event_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'main_picture=<string>' \
  --form 'title=<string>' \
  --form 'price=<string>' \
  --form 'event_type=<string>' \
  --form 'is_active=<string>' \
  --form 'discount_percent=<string>' \
  --form 'duration=<string>' \
  --form 'participants_limit=<string>' \
  --form 'short_desc=<string>' \
  --form 'detail_desc=<string>' \
  --form 'start_time=<string>' \
  --form 'city=<string>' \
  --form 'address=<string>' \
  --form 'postal_code=<string>' \
  --form 'country=<string>' \
  --form 'latitude=<string>' \
  --form 'longitude=<string>' \
  --form main_picture.0='@example-file'
{
  "id": "<string>",
  "name": "<string>",
  "price": 123,
  "start_time": "2023-11-07T05:31:56Z",
  "duration": 123,
  "event_type": "<string>",
  "participants_limit": 123,
  "is_active": true,
  "store": {
    "id": 123,
    "name": "<string>",
    "is_blogger": true,
    "seller_type": "<string>",
    "logo_url": "<string>"
  },
  "short_desc": "<string>",
  "format_price": "<string>",
  "platform_price": 123,
  "end_time": "2023-11-07T05:31:56Z",
  "meeting_link": "<string>",
  "meeting_password": "<string>",
  "meeting_platform": "<string>",
  "cover_picture_url": "<string>",
  "detail_desc": "<string>",
  "question_id": 123,
  "location": {
    "address": "<string>",
    "country": "<string>",
    "city": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

event_id
string
required

Body

multipart/form-data
main_picture
file | null
title
string | null
price
string | null
event_type
string | null
is_active
string | null
discount_percent
string | null
duration
string | null
participants_limit
string | null
short_desc
string | null
detail_desc
string | null
start_time
string | null
city
string | null
address
string | null
postal_code
string | null
country
string | null
latitude
string | null
longitude
string | null

Response

Successful Response

id
string
required
name
string
required
price
number
required
start_time
string<date-time>
required
duration
integer
required
event_type
string
required
participants_limit
integer
required
is_active
boolean
required
store
ProductUpcomingRoundStoreGetResponse · object
required
short_desc
string
required
format_price
string
required
platform_price
number | null
end_time
string<date-time> | null
meeting_password
string | null
meeting_platform
string | null
cover_picture_url
string | null
detail_desc
string | null
question_id
integer | null
location
EventLocationGetResponse · object